package com.palmnest.dao.estateserve;


import java.util.List;
import java.util.Map;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.estateserve.NeigouOrder;

public interface NeigouOrderDao extends GenericDao<NeigouOrder, Integer> {

	public void updateLastMessageId(int last_message_id);


	public void updateCurrentMessageId(int currentmessageid);

	public NeigouOrder saveNeigouOrder(NeigouOrder neigouOrder);


	/*
	 * 查询公司及超级管理员
	 * 一个公司id一个超级管理员id
	 * 一次同步一个公司
	 */
	public List<Map<String, Object>> getCompanyAndSuperUser(String companyId, String supperAdminId);

	/**
	 * 得到子管理员list
	 */
	public List<Map<String, Object>> getSuperUser(String companyId, String supperAdminId);
}
